# Record Class SyThemeClassNameCustom

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.themes.SyThemeClassNameCustom

Record Components:
  `className` - The actual class name
  `description` - The description

All Implemented Interfaces:
  `SyThemeClassNameType`

public record SyThemeClassNameCustom(String className, String description) extends Record implements SyThemeClassNameType
A custom class name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyThemeClassNameCustom(String className, String description)`
  A custom class name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `className()`
  Returns the value of the `className` record component.
  `String`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyThemeClassNameCustom

    public SyThemeClassNameCustom(String className, String description)
    A custom class name.
    Parameters:
      `className` - The actual class name
      `description` - The description

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### className

    public String className()
    Returns the value of the `className` record component.
    Specified by:
      `className` in interface `SyThemeClassNameType`
    Returns:
      the value of the `className` record component

  - ### description

    public String description()
    Returns the value of the `description` record component.
    Specified by:
      `description` in interface `SyThemeClassNameType`
    Returns:
      the value of the `description` record component